Subject: bug#36637: bug#27601: 25.2; Repository is not shown in the *Packages* buffer for installed packages

From: Stefan Kangas <[email-masked]>
Date: Tue, 24 Aug 2021 16:33:23 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I guess the problem here is that we apparently don't save the archive in
> `package-alist' when packages are installed?  Is there any particular
> reason for that?

Yes, this is basically the problem.  AFAICT, there is no particular
reason for this, so it should mostly just be a matter of implementing
it.

I didn't consider recording it in package-alist, but I suppose it
could make sense.  I'd hope we can find a clean and preferably
backwards-compatible way of doing it.